Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::ButtonSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Button. More...

`#include <xfc/gtk/buttonsignals.hh>`

Inheritance diagram for Xfc::Gtk::ButtonSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_pressed ()
    Called when the button is initially pressed.
- virtual void on_released ()
    Called when a button which is pressed is released, no matter where the mouse cursor is.
- virtual void on_clicked ()
    Called when a button clicked on by the mouse and the cursor stays on the button.
- virtual void on_enter ()
    Called when the mouse cursor enters the region of the button.
- virtual void on_leave ()
    Called when the mouse cursor leaves the region of the button.
- virtual void on_activate ()
    Called when the button is activated.

## Protected Member Functions

Constructors

- ButtonSignals (Button *button)
    Constructs a new ButtonSignals object.
- virtual ~ButtonSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Button.

## Constructor & Destructor Documentation

Xfc::Gtk::ButtonSignals::ButtonSignals | ( | Button * | button | ) | `[protected]`

Constructs a new ButtonSignals object.

Parameters:

  | button | A Button object inheriting the ButtonSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::ButtonSignals::on_clicked | ( |  | ) | `[virtual]`

| Called when a button clicked on by the mouse and the cursor stays on the button. If the cursor is not on the button when the mouse button is released, the signal is not emitted.

The documentation for this class was generated from the following file:

- buttonsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3